Jiniu AIJiniu AI
Docs
VideosVolcano native formatAsset libraryAsset

Get asset

Returns the asset status. Processing means it is still downloading or being processed, Active means ready and Failed means processing failed; upstream's Pending is normalised to Processing.

POST
/api/material

Authorization

bearerAuth

AuthorizationBearer <token>

Authorization: Bearer

In: header

Query Parameters

Action*string

Fixed value: GetAsset

Value in"GetAsset"

Request Body

application/json

Id*string

Asset ID

Response Body

application/json

curl -X POST "https://jiniu.ai/api/material?Action=GetAsset" \  -H "Content-Type: application/json" \  -d '{    "Id": "asset-xxxx"  }'
{
  "ResponseMetadata": {
    "RequestId": "…",
    "Action": "GetAsset"
  },
  "Result": {
    "Id": "asset-xxxx",
    "Status": "Active"
  }
}